﻿using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.DragDrop.Behaviors;

namespace SilverlightApplication2
{
	public class ScheduleViewDragDropBehavior : Telerik.Windows.Controls.ScheduleViewDragDropBehavior
	{
		/// <summary>
		/// Converts the dragged data to appointments.
		/// </summary>
		public override IEnumerable<IOccurrence> ConvertDraggedData(object data)
		{
			if (DataObjectHelper.GetDataPresent(data, typeof(Appointment), true))
			{
				var appointments = DataObjectHelper.GetData(data, typeof(Appointment), true) as IEnumerable;

				return appointments.OfType<IOccurrence>();
			}

			return Enumerable.Empty<IOccurrence>();
		}
	}
}